Table of Contents

Class: BrowserClass | eric3/UI/Browser.py
--- | ---

Class implementing a BrowserNode that represents a python class or function.

Base Classes |
--- | ---

BrowserNode

QListViewItem

Methods |
--- | ---
__init__ setOpen
| __init__

    __init__ (
            self,
            parent,
            name,
            after,
            classes,
            filename,
            )

### Constructor

#### Arguments

parent
  parent Browser or BrowserNode
name
  classname to display (string or QString)
after
  sibling this node is positioned after
classes
  list of all classes defined in filename
filename
  filename of the file defining this class

| setOpen

    setOpen ( self,  o )

### Public slot to set/reset the open state.

#### Arguments

- -- flag indicating the open state

Table of Contents

This document was automatically generated by HappyDoc version 2.1